Bug 752814 - In 'Resource: Operations' portlet, double clicking on 'success' status icon navigates to URL having 'null'
In 'Resource: Operations' portlet, double clicking on 'success' status icon n...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
high Severity medium (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Ian Springer
Mike Foley
:
Depends On:
Blocks: jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-11-10 08:56 EST by Sunil Kondkar
Modified: 2013-08-05 20:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (39.42 KB, image/png)
2011-11-10 08:58 EST, Sunil Kondkar
no flags Details

  None (edit)
Description Sunil Kondkar 2011-11-10 08:56:19 EST
Description of problem:

Execute an operation for a resource which should be successful, navigate to the 'Summary' tab of the resource. In the 'Resource: Operations' portlet, double click on the 'success' status icon. 

It navigates to a URL having 'null'. (Ex: http://suniltest.usersys.redhat.com:7080/coregui/#null/10012). The title of the screen displays "RHQ: null".

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):

Build#5 (Version: 4.2.0.JON300-SNAPSHOT Build Number: ed8ff45)
(https://hudson.qa.jboss.com/hudson/view/JON3%20Core/job/rhq-release-gwt-locales/5/)


How reproducible:

Always

Steps to Reproduce:

1. Login to RHQ
2. Navigate to operation tab of a resource (Ex: EAP 5.1.1 resource)
3. Execute any operation (Ex: restart)
4. Wait for successful execution of the operation.
5. Navigate to the 'Summary' tab of the resource.
6. In the 'Resource: Operations' portlet, double click on the 'success' status icon.

  
Actual results:

It navigates to a URL having 'null' and the title of the screen displays "RHQ: null".

Expected results:

It should display the history of the operation.

Additional info:

Observed the same behaviour in 'Dashboard' main menu. Navigate to the 'Dashboard' main menu. Double click on the 'success' status icon in the 'Recent Operations' portlet. It navigates to a URL having 'null' and the title of the screen displays "RHQ: null".
Comment 1 Sunil Kondkar 2011-11-10 08:58:19 EST
Created attachment 532849 [details]
Screenshot
Comment 2 Heiko W. Rupp 2011-11-10 14:04:49 EST
For a resource 10001 
and a normal op history at http://snert:7080/coregui/?locale=de#Resource/10001/Operations/History
this goes to 
http://snert:7080/coregui/?locale=de#null/10051
Comment 3 Ian Springer 2011-11-10 17:11:35 EST
Fixed in both master (commit c7b02f8) and release_jon3.x (commit 06ec3b4).

QE should test that all of the following work:

recent operations portlets:

1) resource operations portlet
  a) double click on a row to view detail of an operation
  b) click on the link in the details column to view detail of an operation
2) group operations portlet
  a) double click on a row to view detail of an alert
  b) click on the link in the details column to view detail of an operation
3) global operations portlet
  a) double click on a row to view detail of an alert
  b) click on the link in the details column to view detail of an operation

recent alerts portlets:

4) resource alerts portlet
  a) double click on a row to view detail of an alert
  b) click on the link in the details column to view detail of an alert
5) group alerts portlet
  a) double click on a row to view detail of an alert
  b) click on the link in the details column to view detail of an alert
6) global alerts portlet
  a) double click on a row to view detail of an alert
  b) click on the link in the details column to view detail of an alert
Comment 4 Sunil Kondkar 2011-11-11 04:55:23 EST
Verified on build#70 in release_jon3.x branch (Version: 4.2.0.JON300-SNAPSHOT
Build Number: 077f81a)

Verified the combinations in recent operation portlets and recent alerts portlets.( (resource, group and golbal portlest)
The navigation is correct.

Marking as verified.
Comment 5 Mike Foley 2012-02-07 14:23:59 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE
Comment 6 Mike Foley 2012-02-07 14:26:16 EST
marking VERIFIED JON 3 bugs to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.